using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
    }

    protected void LinkButton1_Click(object sender, EventArgs e)
    {

        String scripts = "$find(\"" + RadWindow1.ClientID + "\").show();";
        ScriptManager.RegisterStartupScript(Page, typeof(Page), "showWindow", scripts, true);
    }

    protected void LinkButton2_Click(object sender, EventArgs e)
    {
        Label1.Text = "Outside content:" + DateTime.Now.ToString();
        Label label2 = RadWindow1.ContentContainer.FindControl("Label2") as Label;
        label2.Text = "Inside Content:" + DateTime.Now.ToString();

        UpdatePanel2.Update();
    }
}
